Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.dom
Class ElementNSImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.xerces.dom.ElementNSImpl

Direct Known Subclasses:
  DeferredElementNSImpl

public class ElementNSImpl
extends ElementImpl

ElementNSImpl inherits from ElementImpl and adds namespace support.

The qualified name is the node name, and we store localName which is also used in all queries. On the other hand we recompute the prefix when necessary.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `localName` DOM2: localName.
`protected java.lang.String` | `namespaceURI` DOM2: Namespace URI.

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`protected` | `ElementNSImpl(DocumentImpl ownerDocument, java.lang.String value)`
`protected` | `ElementNSImpl(DocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName)` DOM2: Constructor for Namespace implementation.

Method Summary
`java.lang.String` | `getLocalName()` Introduced in DOM Level 2.
`java.lang.String` | `getNamespaceURI()` Introduced in DOM Level 2.
`java.lang.String` | `getPrefix()` Introduced in DOM Level 2.
`void` | `setPrefix(java.lang.String prefix)` Introduced in DOM Level 2.

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getNodeValue, getReadOnly, getUserData, removeEventListener, setNodeValue, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### namespaceURI

    protected java.lang.String namespaceURI

  DOM2: Namespace URI.

### localName

    protected java.lang.String localName

  DOM2: localName.

Constructor Detail

### ElementNSImpl

    protected ElementNSImpl(DocumentImpl ownerDocument,
                            java.lang.String namespaceURI,
                            java.lang.String qualifiedName)
                     throws org.w3c.dom.DOMException

  DOM2: Constructor for Namespace implementation.

### ElementNSImpl

    protected ElementNSImpl(DocumentImpl ownerDocument,
                            java.lang.String value)

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Introduced in DOM Level 2.

  The namespace URI of this node, or null if it is unspecified.

  This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Overrides:
    getNamespaceURI in class NodeImpl
  Since:
    WD-DOM-Level-2-19990923

### getPrefix

    public java.lang.String getPrefix()

  Introduced in DOM Level 2.

  The namespace prefix of this node, or null if it is unspecified.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Overrides:
    getPrefix in class NodeImpl
  Since:
    WD-DOM-Level-2-19990923

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Introduced in DOM Level 2.

  Note that setting this attribute changes the nodeName attribute, which holds the qualified name, as well as the tagName and name attributes of the Element and Attr interfaces, when applicable.

  Throws:
    INVALID_CHARACTER_ERR - Raised if the specified prefix contains an invalid character.
  Overrides:
    setPrefix in class NodeImpl
  Since:
    WD-DOM-Level-2-19990923

### getLocalName

    public java.lang.String getLocalName()

  Introduced in DOM Level 2.

  Returns the local part of the qualified name of this node.

  Overrides:
    getLocalName in class NodeImpl
  Since:
    WD-DOM-Level-2-19990923

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD